## master

=== daemon/Makefile ===
#SRC contains all *.go *.c *.h files in daemon/ and its subfolders 
SRC := $(shell find . -type f -name '*.go' -o -name '*.h' -o -name '*.c')
PREFIX?=/usr/local

all: opensnitchd

install:
	@mkdir -p $(DESTDIR)/etc/opensnitchd/rules
	@mkdir -p $(DESTDIR)/etc/opensnitchd/tasks
	@install -Dm755 opensnitchd \
		-t $(DESTDIR)$(PREFIX)/bin/
	@install -Dm644 data/init/opensnitchd.service \
		-t $(DESTDIR)/etc/systemd/system/
	@install -Dm644 data/default-config.json \
		-t $(DESTDIR)/etc/opensnitchd/
	@install -Dm644 data/system-fw.json \
		-t $(DESTDIR)/etc/opensnitchd/
	@install -Dm644 data/network_aliases.json \
		-t $(DESTDIR)/etc/opensnitchd/
	@install -Dm600 data/rules/* $(DESTDIR)/etc/opensnitchd/rules/
	@install -Dm600 data/tasks/tasks.json $(DESTDIR)/etc/opensnitchd/tasks/
	@systemctl daemon-reload

opensnitchd: $(SRC)
	@go get
	@go build -o opensnitchd . 

clean:
	@rm -rf opensnitchd

=== ebpf_prog/Makefile ===
# OpenSnitch - 2023
#
# On Debian based distros we need the following 2 directories.
# Otherwise, just use the kernel headers from the kernel sources.
#
KERNEL_VER ?= $(shell ls -d /lib/modules/*/source | sort | tail -1 | cut -d/ -f4)
KERNEL_DIR ?= /lib/modules/$(KERNEL_VER)/source
KERNEL_HEADERS ?= /usr/src/linux-headers-$(KERNEL_VER)/
CC = clang
LLC ?= llc
ARCH ?= $(shell uname -m)

# as in /usr/src/linux-headers-*/arch/
# TODO: extract correctly the archs, and add more if needed.
ifeq ($(ARCH),x86_64)
	ARCH := x86
else ifeq ($(ARCH),i686)
	ARCH := x86
else ifeq ($(ARCH),armv7l)
	ARCH := arm
else ifeq ($(ARCH),armv8l)
	ARCH := arm
else ifeq ($(ARCH),aarch64)
	ARCH := arm64
else ifeq ($(ARCH),loongarch64)
	ARCH := loongarch
else ifeq ($(ARCH),riscv64)
	ARCH := riscv
else ifeq ($(ARCH),s390x)
	ARCH := s390
endif

ifeq ($(ARCH),arm)
	# on previous archs, it fails with "SMP not supported on pre-ARMv6"
	EXTRA_FLAGS = "-D__LINUX_ARM_ARCH__=7"
endif

SRC := $(wildcard *.c)
BIN := $(SRC:.c=.o)
CFLAGS = -I. \
	-I$(KERNEL_HEADERS)/arch/$(ARCH)/include/generated/ \
	-I$(KERNEL_HEADERS)/include \
	-include $(KERNEL_DIR)/include/linux/kconfig.h \
	-I$(KERNEL_DIR)/include \
	-I$(KERNEL_DIR)/include/uapi \
	-I$(KERNEL_DIR)/include/generated/uapi \
	-I$(KERNEL_DIR)/arch/$(ARCH)/include \
	-I$(KERNEL_DIR)/arch/$(ARCH)/include/generated \
	-I$(KERNEL_DIR)/arch/$(ARCH)/include/uapi \
	-I$(KERNEL_DIR)/arch/$(ARCH)/include/generated/uapi \
	-I$(KERNEL_DIR)/tools/testing/selftests/bpf/ \
	-D__KERNEL__ -D__BPF_TRACING__ -Wno-unused-value -Wno-pointer-sign \
	-D__TARGET_ARCH_$(ARCH) -Wno-compare-distinct-pointer-types \
	$(EXTRA_FLAGS) \
	-Wunused \
	-Wno-unused-value \
	-Wno-gnu-variable-sized-type-not-at-end \
	-Wno-address-of-packed-member \
	-Wno-tautological-compare \
	-Wno-unknown-warning-option  \
	-fno-stack-protector \
	-g -O2 -emit-llvm

all: $(BIN)

%.bc: %.c
	$(CC) $(CFLAGS) -c $<

%.o: %.bc
	$(LLC) -march=bpf -mcpu=generic -filetype=obj -o $@ $<

clean:
	rm -f $(BIN)

.SUFFIXES:

=== ui/Makefile ===
all: opensnitch/resources_rc.py

install:
	@pip3 install --upgrade .

opensnitch/resources_rc.py: translations deps
	#@pyrcc5 -o opensnitch/resources_rc.py opensnitch/res/resources.qrc
	@find opensnitch/proto/ -name 'ui_pb2_grpc.py' -exec sed -i 's/^import ui_pb2/from . import ui_pb2/' {} \;

translations:
	@cd i18n ; make
	
deps:
	@pip3 install -r requirements.txt

clean:
	@rm -rf *.pyc
	@rm -rf opensnitch/resources_rc.py

=== ui/requirements.txt ===
# required
pyqt6>=6.4
protobuf
grpcio-tools>=1.10.1
python-slugify>=7.0.0

# suggested
#  file changes monitoring
pyinotify==0.9.6
#  desktop notifications
notify2
#  material themes
qt-material

=== ui/i18n/Makefile ===
include ./opensnitch_i18n.pro

#TSFILES contains all *.ts files in locales/ and its subfolders 
#TSFILES := $(shell find locales/ -type f -name '*.ts')

#QMFILES contains all *.qm files in locales/ and its subfolders 
QMFILES := $(shell find locales/ -type f -name '*.qm')
#if QMFILES is empty, we set it to phony target to run unconditionally
ifeq ($(QMFILES),)
QMFILES := "qmfiles"
endif

all: $(TSFILES) $(QMFILES)

#if any file from SOURCES or FORMS is older than any file from $(TSFILES)  
#or if opensnitch_i18n.pro was manually modified

# pylupdate6 does not support parsing .pro files anymore
$(TSFILES): $(SOURCES) $(FORMS)
	for t in $(TSFILES); do \
		pylupdate6 --ts $$t $(SOURCES) $(FORMS); \
	done

#if any of the *.ts files are older that any of the *.qm files
#QMFILES may also be a phony target (when no *.qm exist yet) which will always run
$(QMFILES):$(TSFILES)
	@./generate_i18n.sh
	for lang in $$(ls locales/); do \
		if [ ! -d ../opensnitch/i18n/$$lang ]; then mkdir -p ../opensnitch/i18n/$$lang ; fi ; \
		cp locales/$$lang/opensnitch-$$lang.qm ../opensnitch/i18n/$$lang/ ; \
	done

=== utils/packaging/daemon/deb/debian/changelog ===
opensnitch (1.8.0-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sun, 23 Nov 2025 23:07:49 +0100

opensnitch (1.7.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 07 Aug 2025 21:32:19 +0200

opensnitch (1.7.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 20 Jun 2025 13:34:45 +0200

opensnitch (1.7.0.0-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sat, 17 May 2025 11:21:11 +0200

opensnitch (1.7.0-rc.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Tue, 25 Mar 2025 23:30:10 +0100

opensnitch (1.7.0-rc.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Mon, 10 Feb 2025 00:24:29 +0100

opensnitch (1.6.6-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 20 Jun 2024 00:02:56 +0200

opensnitch (1.6.5-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Tue, 23 Jan 2024 21:25:33 +0100

opensnitch (1.6.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Mon, 31 Jul 2023 00:32:11 +0200

opensnitch (1.6.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sun, 23 Jul 2023 22:13:33 +0200

opensnitch (1.6.0.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 15 Jun 2023 23:44:15 +0200

opensnitch (1.6.0-rc.5-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sat, 18 Feb 2023 20:07:14 +0100

opensnitch (1.6.0-rc.4-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 22 Dec 2022 10:07:14 +0100

opensnitch (1.6.0-rc.3-1) unstable; urgency=medium

  * eBPF modules are now installed under /usr/lib/opensnitchd/.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 08 Dec 2022 11:13:09 +0100

opensnitch (1.6.0-rc.2-1) unstable; urgency=medium

  * New eBPF module to receive events (new execs, etc).
  * Allow to exclude connections from the events.
  * more on github

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 14 Jul 2022 00:15:19 +0200

opensnitch (1.6.0-rc.1-1) unstable; urgency=medium

  * Allow to configure firewall from the GUI.
  * New eBPF module to intercept outbound DNS requests.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Wed, 04 May 2022 00:55:54 +0200

opensnitch (1.5.0-1) unstable; urgency=medium

  * New release.
  * Added Reject option.
  * New lists types to block ads/malware/...
  * Better connections interception.
  * Better VPNs handling.
  * Bug fixes.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 28 Jan 2022 23:20:38 +0100

opensnitch (1.5.0~rc2-1) unstable; urgency=medium

  * Better connections interception.
  * Improvements.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Sun, 16 Jan 2022 23:15:12 +0100

opensnitch (1.5.0~rc1-1) unstable; urgency=medium

  * New features.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Thu, 07 Oct 2021 14:57:35 +0200

opensnitch (1.4.0-1) unstable; urgency=medium

  * final release.

 -- gustavo-iniguez-goya <gustavo.iniguez.goya@gmail.com>  Fri, 27 Aug 2021 13:33:07 +0200

opensnitch (1.4.0~rc4-1) unstable; urgency=medium

  * Bug fix release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 11 Aug 2021 15:17:49 +0200

opensnitch (1.4.0~rc3-1) unstable; urgency=medium

  * Bug fix release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 16 Jul 2021 23:28:52 +0200

opensnitch (1.4.0~rc2-1) unstable; urgency=medium

  * Added eBPF support.
  * Fixes and improvements.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 07 May 2021 01:08:02 +0200

opensnitch (1.4.0~rc-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 25 Mar 2021 01:02:31 +0100

opensnitch (1.3.6-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 10 Feb 2021 10:17:43 +0100

opensnitch (1.3.5-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Mon, 11 Jan 2021 18:01:53 +0100

opensnitch (1.3.0-1) unstable; urgency=medium

  * Fixed how we check rules
  * Fixed cpu spike after disable interception.
  * Fixed cleaning up fw rules on exit.
  * make regexp rules case-insensitive by default
  * allow to filter by dst network.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Wed, 16 Dec 2020 01:15:03 +0100

opensnitch (1.3.0~rc-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Fri, 13 Nov 2020 00:51:34 +0100

opensnitch (1.2.0-1) unstable; urgency=medium

  * Fixed memleaks.
  * Sort rules by name
  * Added priority field to rules.
  * Other fixes

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Mon, 09 Nov 2020 22:55:13 +0100

opensnitch (1.0.1-1) unstable; urgency=medium

  * Fixed app exit when IPv6 is not supported.
  * Other fixes.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 30 Jul 2020 21:56:20 +0200

opensnitch (1.0.0-1) unstable; urgency=medium

  * v1.0.0 released.

 -- gustavo-iniguez-goya <gooffy1@gmail.com>  Thu, 16 Jul 2020 00:19:26 +0200

opensnitch (1.0.0rc11-1) unstable; urgency=medium

  * Fixed multiple race conditions.
  * Fixed CWD parsing when using audit proc monitor method.



=== utils/packaging/ui/deb/debian/changelog ===
opensnitch-ui (1.8.0-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Sun, 23 Nov 2025 23:08:36 +0100

opensnitch-ui (1.7.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 07 Aug 2025 21:32:59 +0200

opensnitch-ui (1.7.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 20 Jun 2025 13:35:37 +0200

opensnitch-ui (1.7.0.0-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Sat, 17 May 2025 11:21:42 +0200

opensnitch-ui (1.7.0-rc.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Tue, 25 Mar 2025 23:30:44 +0100

opensnitch-ui (1.7.0-rc.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Mon, 10 Feb 2025 00:25:21 +0100

opensnitch-ui (1.6.7-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 25 Dec 2024 21:34:39 +0100

opensnitch-ui (1.6.6-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 20 Jun 2024 00:03:33 +0200

opensnitch-ui (1.6.5.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 09 Feb 2024 13:56:13 +0100

opensnitch-ui (1.6.5-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Tue, 23 Jan 2024 21:26:13 +0100

opensnitch-ui (1.6.4-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Mon, 06 Nov 2023 00:29:15 +0100

opensnitch-ui (1.6.3-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 16 Aug 2023 22:19:51 +0200

opensnitch-ui (1.6.2-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Mon, 31 Jul 2023 00:33:48 +0200

opensnitch-ui (1.6.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Sun, 23 Jul 2023 22:14:13 +0200

opensnitch-ui (1.6.0.1-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 15 Jun 2023 23:44:50 +0200

opensnitch-ui (1.6.0-rc.5-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Sat, 18 Feb 2023 20:06:42 +0100

opensnitch-ui (1.6.0-rc.4-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 22 Dec 2022 10:06:42 +0100

opensnitch-ui (1.6.0-rc.3-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Tue, 15 Nov 2022 00:14:48 +0100

opensnitch-ui (1.6.0-rc.2-1) unstable; urgency=medium

  * Bugfixes.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 14 Jul 2022 00:20:00 +0200

opensnitch-ui (1.6.0-rc.1-1) unstable; urgency=medium

  * Allow to configure firewall from the GUI.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 04 May 2022 00:57:31 +0200

opensnitch-ui (1.5.0-1) unstable; urgency=medium

  * New release.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 28 Jan 2022 23:24:49 +0100

opensnitch-ui (1.5.0~rc2-1) unstable; urgency=medium

  * Performance improvements.
  * Better sqlite3 support.
  * Better system notifications.
  * Better user experience.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Sun, 16 Jan 2022 23:17:02 +0100

opensnitch-ui (1.5.0~rc1-1) unstable; urgency=medium

  * New features.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 07 Oct 2021 14:58:39 +0200

opensnitch-ui (1.4.0-1) unstable; urgency=medium

  * Final release.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 27 Aug 2021 13:35:06 +0200

opensnitch-ui (1.4.0~rc4-1) unstable; urgency=medium

  * UI improvements.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 11 Aug 2021 15:18:34 +0200

opensnitch-ui (1.4.0~rc3-1) unstable; urgency=medium

  * UI improvements.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 16 Jul 2021 23:30:47 +0200

opensnitch-ui (1.4.0~rc2-1) unstable; urgency=medium

  * Fixes and improvements.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 07 May 2021 01:08:51 +0200

opensnitch-ui (1.4.0~rc-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 25 Mar 2021 01:03:57 +0100

opensnitch-ui (1.3.6-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 10 Feb 2021 10:17:43 +0100

opensnitch-ui (1.3.5-1) unstable; urgency=medium

  * Bug fix and improvements release.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Mon, 11 Jan 2021 18:02:35 +0100

opensnitch-ui (1.3.0-1) unstable; urgency=medium

  * Allow to filter by dst networks.
  * Added check for configure showing pop-ups.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Wed, 16 Dec 2020 01:18:31 +0100

opensnitch-ui (1.3.0~rc-1) unstable; urgency=medium

  * Non-maintainer upload.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Fri, 20 Nov 2020 13:32:07 +0100

opensnitch-ui (1.2.0-1) unstable; urgency=medium

  * Sort rules by name.
  * Allow to set priority on rules.
  * Rules are case-insensitive by default.
  * Other fixes.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Mon, 09 Nov 2020 23:00:38 +0100

opensnitch-ui (1.0.1-1) unstable; urgency=medium

  * Fixed crash when clicking on General tab columns.
  * Added literal DstHost to the pop-up combo box.
  * Shorten autogenerated rules names.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Tue, 28 Jul 2020 23:43:15 +0200

opensnitch-ui (1.0.0-1) unstable; urgency=medium

  * v1.0.0 released.

 -- Gustavo Iñiguez Goia <gooffy1@gmail.com>  Thu, 16 Jul 2020 00:20:19 +0200

opensnitch-ui (1.0.0rc11-1) unstable; urgency=medium

  * Added CWD field.


=== utils/packaging/ui/deb/debian/control ===
Source: opensnitch-ui
Maintainer: Gustavo Iñiguez Goia <gooffy1@gmail.com>
Uploaders: Gustavo Iniguez Goya <gooffy@gmail.com>,
Priority: optional
Homepage: https://github.com/evilsocket/opensnitch
Build-Depends:
 pyqt6-dev-tools,
 python3-grpc-tools,
 python3-all,
 debhelper (>= 7.4.3),
 dh-python
Standards-Version: 3.9.1


Package: python3-opensnitch-ui
Architecture: all
Section: net
Depends:
 netbase,
 pyqt6-dev-tools,
 libqt6sql6,
 libqt6sql6-sqlite,
 python3:any,
 python3-six,
 python3-pyqt6,
 python3-pyqt6.qtsvg,
 python3-pyinotify,
 python3-grpcio,
 python3-protobuf,
 python3-packaging,
 python3-slugify,
 python3-notify2,
 xdg-user-dirs,
 gtk-update-icon-cache
Recommends: python3-pyasn
Description: GNU/Linux interactive application firewall
 opensnitch-ui is a GUI for opensnitch written in Python.
 It allows the user to view live outgoing connections, as well as search
 for details of the intercepted connections.
 .
 The user can decide if block outgoing connections based on properties of
 the connection: by port, by uid, by dst ip, by program or a combination
 of them.
 .
 These rules can last forever, until restart the daemon or just one time.
 .
 OpenSnitch can also work as a system-wide domains blocker, by using lists
 of domains, list of IPs or list of regular expressions.

=== utils/packaging/ui/deb/debian/rules ===
#!/usr/bin/make -f

# This file was automatically generated by stdeb 0.9.0 at
# Thu, 06 Feb 2020 00:20:02 +0100

%:
	dh $@ --with python3 --buildsystem=python_distutils


override_dh_auto_clean:
	rm -f opensnitch/resources_rc.py
	rm -rf opensnitch/i18n/
	python3 setup.py clean -a
	find . -name \*.pyc -exec rm {} \;

override_dh_auto_build:
	python3 setup.py build --force

override_dh_auto_install:
	cd i18n; make
	pyrcc5 -o opensnitch/resources_rc.py opensnitch/res/resources.qrc
	find opensnitch/proto/ -name 'ui_pb2_grpc.py' -exec sed -i 's/^import ui_pb2/from . import ui_pb2/' {} \;
	python3 setup.py install --force --root=debian/python3-opensnitch-ui --no-compile -O0 --install-layout=deb  

override_dh_python2:
	dh_python2 --no-guessing-versions
